<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ListaEmpresasJSON StructType
 * @subpackage Structs
 */
class ListaEmpresasJSON extends AbstractStructBase
{
    /**
     * The forceRefresh
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $forceRefresh;
    /**
     * The mostraInativas
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $mostraInativas;
    /**
     * Constructor method for ListaEmpresasJSON
     * @uses ListaEmpresasJSON::setForceRefresh()
     * @uses ListaEmpresasJSON::setMostraInativas()
     * @param bool $forceRefresh
     * @param bool $mostraInativas
     */
    public function __construct($forceRefresh = null, $mostraInativas = null)
    {
        $this
            ->setForceRefresh($forceRefresh)
            ->setMostraInativas($mostraInativas);
    }
    /**
     * Get forceRefresh value
     * @return bool|null
     */
    public function getForceRefresh()
    {
        return $this->forceRefresh;
    }
    /**
     * Set forceRefresh value
     * @param bool $forceRefresh
     * @return \StructType\ListaEmpresasJSON
     */
    public function setForceRefresh($forceRefresh = null)
    {
        // validation for constraint: boolean
        if (!is_null($forceRefresh) && !is_bool($forceRefresh)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($forceRefresh)), __LINE__);
        }
        $this->forceRefresh = $forceRefresh;
        return $this;
    }
    /**
     * Get mostraInativas value
     * @return bool|null
     */
    public function getMostraInativas()
    {
        return $this->mostraInativas;
    }
    /**
     * Set mostraInativas value
     * @param bool $mostraInativas
     * @return \StructType\ListaEmpresasJSON
     */
    public function setMostraInativas($mostraInativas = null)
    {
        // validation for constraint: boolean
        if (!is_null($mostraInativas) && !is_bool($mostraInativas)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($mostraInativas)), __LINE__);
        }
        $this->mostraInativas = $mostraInativas;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ListaEmpresasJSON
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
